> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete FileSet by Id

> Deletes a FileSet and all its contents.



## OpenAPI

````yaml /openapi/product/filesets.yaml delete /api/files/v1/filesets/{filesetId}
openapi: 3.0.0
info:
  title: FileSets API (BETA) (Product)
  version: v1
  description: >
    <Note>

    BETA: This API is currently in BETA and is subject to change. 

    Endpoints, request/response formats, and functionality may change without
    notice.

    <Note>

    API for managing FileSets and Files in Domo.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: api
        description: Your specific Domo instance name (e.g., mycompany)
security:
  - developerToken: []
tags:
  - name: File
    description: Operations for managing individual files within a FileSet.
  - name: FileSet
    description: Operations for managing FileSets (collections of files).
paths:
  /api/files/v1/filesets/{filesetId}:
    delete:
      tags:
        - FileSets API (BETA) (Product)
      summary: Delete FileSet by Id
      description: Deletes a FileSet and all its contents.
      parameters:
        - name: filesetId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Success message.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteSuccessResponse'
        '401':
          description: Unauthorized
        '404':
          description: FileSet Not Found
components:
  schemas:
    DeleteSuccessResponse:
      type: object
      properties:
        status:
          type: string
          example: success
        message:
          type: string
          example: File deleted successfully.
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo Developer Token for authentication.

````